package com.leromro.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

/**
 * 受服务地址对象 l_address
 * 
 * @author ruoyi
 * @date 2025-04-18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_address")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Address", description = "受服务地址")
public class Address extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.AUTO)
    private Long addressId;

    /** 用户id */
    @TableField("user_id")
    @ApiModelProperty("用户id")
    private Long userId;

    /** 联系人号码 */
    @TableField("telephone")
    @ApiModelProperty("联系人号码")
    private String telephone;

    /** 收货人姓名 */
    @TableField("name")
    @ApiModelProperty("收货人姓名")
    private String name;

    /** 收货人姓名 */
    @TableField("sex")
    @ApiModelProperty("收货人性别")
    private Integer sex;

    /** 年龄 */
    @TableField("age")
    @ApiModelProperty("年龄")
    private Integer age;

    /** 省级区划编号 */
    @TableField("province_code")
    @ApiModelProperty("省级区划编号")
    private String provinceCode;

    /** 省级名称 */
    @TableField("province_name")
    @ApiModelProperty("省级名称")
    private String provinceName;

    /** 市级编号 */
    @TableField("city_code")
    @ApiModelProperty("市级编号")
    private String cityCode;

    /** 市级名称 */
    @TableField("city_name")
    @ApiModelProperty("市级名称")
    private String cityName;

    /** 区级区划编号 */
    @TableField("district_code")
    @ApiModelProperty("区级区划编号")
    private String districtCode;

    /** 区级名称 */
    @TableField("district_name")
    @ApiModelProperty("区级名称")
    private String districtName;

    /** 详细地址 */
    @TableField("address")
    @ApiModelProperty("详细地址")
    private String address;

    /** 详细地址 */
    @TableField("longitude")
    @ApiModelProperty("经度")
    private String longitude;

    /** 详细地址 */
    @TableField("latitude")
    @ApiModelProperty("纬度")
    private String latitude;

    /** 是否为默认地址 0否 1是 */
    @TableField("is_default")
    @ApiModelProperty("是否为默认地址 0否 1是")
    private Integer isDefault;

    /** 是否删除 0否 1是 */
    @TableField("is_delete")
    @ApiModelProperty("是否删除 0否 1是")
    private Integer isDelete;

    /** 标签 */
    @TableField("label")
    @ApiModelProperty("标签")
    private String label;


}
