package com.leromro.core.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 公司管理地区对象 l_dept_region_management
 * 
 * @author ruoyi
 * @date 2025-05-14
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_dept_region_management")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DeptRegionManagement", description = "公司管理地区")
public class DeptRegionManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField("region_management_id")
    @ApiModelProperty("主键id")
    private Long regionManagementId;

    @TableField("dept_id")
    @ApiModelProperty("公司id")
    private Long deptId;

    @TableField("dept_name")
    @ApiModelProperty("公司名称")
    private String deptName;

    @TableField("area_type")
    @ApiModelProperty("区域公司类型")
    private String areaType;

    @TableField("point_list")
    @ApiModelProperty("描点集合")
    private String pointList;

    private Integer delFlag;

    @TableField("province_code")
    @ApiModelProperty("省级区划编号")
    private String provinceCode;

    @TableField("province_name")
    @ApiModelProperty("省级名称")
    private String provinceName;

    @TableField("city_code")
    @ApiModelProperty("市级编号")
    private String cityCode;

    @TableField("city_name")
    @ApiModelProperty("市级名称")
    private String cityName;

    @TableField("district_code")
    @ApiModelProperty("区级区划编号")
    private String districtCode;

    @TableField("district_name")
    @ApiModelProperty("区级名称")
    private String districtName;
}
