package com.leromro.core.domain;


import com.baomidou.mybatisplus.annotation.TableName;
import com.leromro.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 行政地区
 * @author Chopper
 * @since 2020-02-25 14:10:16
 */
@Data
@TableName("l_region")
@ApiModel(value = "行政地区")
public class Region extends BaseEntity {

    private static final long serialVersionUID = 418341656517240988L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "父id")
    private String parentRegionCode;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value =
            "行政区划级别" +
                    "province:省份（直辖市会在province和city显示）" +
                    "city:市（直辖市会在province和city显示）" +
                    "district:区县")
    private String level;

    @ApiModelProperty(value = "简称拼音缩写")
    private String acronym;
    @ApiModelProperty(value = "拼音")
    private String pinyin;

    @ApiModelProperty(value = "首字母")
    private String initial;



}