package com.leromro.core.domain;

import java.time.LocalDate;
import java.time.LocalTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.leromro.common.annotation.Excel;
import com.leromro.common.core.domain.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 志愿者排班日期对象 l_volunteer_work_date
 * 
 * @author ruoyi
 * @date 2025-04-07
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("l_volunteer_work_date")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "VolunteerWorkDate", description = "志愿者排班日期")
public class VolunteerWorkDate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 志愿者排班日期id */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("志愿者排班日期id")
    private Long volunteerWorkDateId;

    /** 志愿者id */
    @ApiModelProperty("志愿者id")
    private Long volunteerId;

    /** 排班日期 */
    @NotNull(message = "排班日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("排班日期")
    private LocalDate workDate;

    /** 工作开始时间 */
    @NotNull(message = "工作开始时间不能为空")
    @JsonFormat(pattern = "H:mm")
    @ApiModelProperty("工作开始时间")
    private LocalTime workStartTime;

    /** 工作结束时间 */
    @NotNull(message = "工作结束时间不能为空")
    @JsonFormat(pattern = "H:mm")
    @ApiModelProperty("工作结束时间")
    private LocalTime workEndTime;

    /** 是否预约0否1是 */
    @ApiModelProperty("是否预约0否1是")
    private Integer hasReservation;


}
