package com.leromro.core.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("地区树")
@Getter
@Setter
public class RegionTreeDTO {
    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "区域编码")
    private String regionCode;

    @ApiModelProperty(value = "父id")
    private String parentRegionCode;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value =
            "行政区划级别" +
                    "province:省份（直辖市会在province和city显示）" +
                    "city:市（直辖市会在province和city显示）" +
                    "district:区县")
    private String level;

    @ApiModelProperty(value = "子节点")
    private List<RegionTreeDTO> children;
}
