package com.leromro.core.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 订单费用结算申请DTO
 */
@Data
public class SettlementOrderApplyDTO {
    // 订单id
    @NotEmpty(message = "订单id不能为空")
    private List<Long> secondOrderIds;
    // 收款方式 1银行卡
    @NotNull(message = "收款方式不能为空")
    private String payeeMethod;
    // 收款银行账号
    @NotBlank(message = "收款银行账号不能为空")
    private String payeeAccount;
    // 收款银行名称
    @NotBlank(message = "收款银行名称不能为空")
    private String payeeBankName;
    // 收款人名称
    @NotBlank(message = "收款人名称不能为空")
    private String payeeName;
    // 收款申请备注
    private String payeeRemark;
}
