package com.leromro.core.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 订单费用结算DTO
 */
@Data
public class SettlementOrderDTO {
    // 订单id
    @NotEmpty(message = "订单id不能为空")
    private List<Long> secondOrderIds;
    // 付款时间
    @NotBlank(message = "付款时间不能为空")
    private String payerTime;
    // 付款方式 1银行卡
    @NotNull(message = "付款方式不能为空")
    private String payerMethod;
    // 付款银行账号
    @NotBlank(message = "付款银行账号不能为空")
    private String payerAccount;
    // 付款银行名称
    @NotBlank(message = "付款银行名称不能为空")
    private String payerBankName;
    // 付款人名称
    @NotBlank(message = "付款人名称不能为空")
    private String payerName;
    // 付款备注
    private String payerRemark;
}
