package com.leromro.core.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.leromro.core.utils.INode;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessManagementVO implements INode<BusinessManagementVO> {

    /**
     * 主键ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 父节点ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;

    /**
     * 子孙节点
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<BusinessManagementVO> children;

    @Override
    public List<BusinessManagementVO> getChildren() {
        if (this.children == null) {
            this.children = new ArrayList<>();
        }
        return this.children;
    }

    @ApiModelProperty("业务名称")
    private String businessName;

    @ApiModelProperty("业务层级名称")
    private String businessTierName;

    @ApiModelProperty("排序")
    private Long sort;

    @ApiModelProperty("图片")
    private String businessIcon;

    @ApiModelProperty("最低价格")
    private String minPrice;

    @ApiModelProperty("最高价格")
    private String maxPrice;



}
