package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.ClientAccountChange;
import com.leromro.core.domain.vo.ClientAccountChangeVO;

/**
 * 用户钱包余额变更记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-07
 */
public interface ClientAccountChangeMapper extends BaseMapper<ClientAccountChange>
{
    /**
     * 查询用户钱包余额变更记录
     * 
     * @param clientAccountChangeId 用户钱包余额变更记录主键
     * @return 用户钱包余额变更记录
     */
    public ClientAccountChange selectLClientAccountChangeByClientAccountChangeId(Long clientAccountChangeId);

    /**
     * 查询用户钱包余额变更记录列表
     * 
     * @param clientAccountChange 用户钱包余额变更记录
     * @return 用户钱包余额变更记录集合
     */
    public List<ClientAccountChange> selectLClientAccountChangeList(ClientAccountChange clientAccountChange);

    /**
     * 新增用户钱包余额变更记录
     * 
     * @param clientAccountChange 用户钱包余额变更记录
     * @return 结果
     */
    public int insertLClientAccountChange(ClientAccountChange clientAccountChange);

    /**
     * 修改用户钱包余额变更记录
     * 
     * @param clientAccountChange 用户钱包余额变更记录
     * @return 结果
     */
    public int updateLClientAccountChange(ClientAccountChange clientAccountChange);

    /**
     * 删除用户钱包余额变更记录
     * 
     * @param clientAccountChangeId 用户钱包余额变更记录主键
     * @return 结果
     */
    public int deleteLClientAccountChangeByClientAccountChangeId(Long clientAccountChangeId);

    /**
     * 批量删除用户钱包余额变更记录
     * 
     * @param clientAccountChangeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLClientAccountChangeByClientAccountChangeIds(Long[] clientAccountChangeIds);

    List<ClientAccountChangeVO> selectClientAccountChangebyUserId(ClientAccountChange clientAccountChange);
}
