package com.leromro.core.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.OrderSettlementApplication;
import com.leromro.core.domain.dto.AuthOrderSettlementApplicationListDTO;
import com.leromro.core.domain.vo.OrderSettlementApplicationListVO;

import java.util.List;

/**
 * 订单费用结算申请Mapper接口
 * 
 * @author lsd
 * @date 2025-05-13
 */
public interface OrderSettlementApplicationMapper extends BaseMapper<OrderSettlementApplication>
{
    /**
     * 查询订单费用结算申请
     * 
     * @param id 订单费用结算申请主键
     * @return 订单费用结算申请
     */
    public OrderSettlementApplication selectOrderSettlementApplicationById(Long id);

    /**
     * 查询订单费用结算申请列表
     * 
     * @param orderSettlementApplicationListDTO 订单费用结算申请
     * @return 订单费用结算申请集合
     */
    public List<OrderSettlementApplicationListVO> selectOrderSettlementApplicationList(AuthOrderSettlementApplicationListDTO authOrderSettlementApplicationListDTO);

    /**
     * 新增订单费用结算申请
     * 
     * @param orderSettlementApplication 订单费用结算申请
     * @return 结果
     */
    public int insertOrderSettlementApplication(OrderSettlementApplication orderSettlementApplication);

    /**
     * 修改订单费用结算申请
     * 
     * @param orderSettlementApplication 订单费用结算申请
     * @return 结果
     */
    public int updateOrderSettlementApplication(OrderSettlementApplication orderSettlementApplication);

    /**
     * 删除订单费用结算申请
     * 
     * @param id 订单费用结算申请主键
     * @return 结果
     */
    public int deleteOrderSettlementApplicationById(Long id);

    /**
     * 批量删除订单费用结算申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderSettlementApplicationByIds(Long[] ids);
}
