package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.VolunteerAccount;

/**
 * 志愿者账户Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface VolunteerAccountMapper extends BaseMapper<VolunteerAccount>
{
    /**
     * 查询志愿者账户
     * 
     * @param volunteerAccountId 志愿者账户主键
     * @return 志愿者账户
     */
    public VolunteerAccount selectVolunteerAccountByVolunteerAccountId(Long volunteerAccountId);

    /**
     * 查询志愿者账户列表
     * 
     * @param volunteerAccount 志愿者账户
     * @return 志愿者账户集合
     */
    public List<VolunteerAccount> selectVolunteerAccountList(VolunteerAccount volunteerAccount);

    /**
     * 新增志愿者账户
     * 
     * @param volunteerAccount 志愿者账户
     * @return 结果
     */
    public int insertVolunteerAccount(VolunteerAccount volunteerAccount);

    /**
     * 修改志愿者账户
     * 
     * @param volunteerAccount 志愿者账户
     * @return 结果
     */
    public int updateVolunteerAccount(VolunteerAccount volunteerAccount);

    /**
     * 删除志愿者账户
     * 
     * @param volunteerAccountId 志愿者账户主键
     * @return 结果
     */
    public int deleteVolunteerAccountByVolunteerAccountId(Long volunteerAccountId);

    /**
     * 批量删除志愿者账户
     * 
     * @param volunteerAccountIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVolunteerAccountByVolunteerAccountIds(Long[] volunteerAccountIds);

    void updateVolunteerAccountList(List<VolunteerAccount> newVolunteerAccountList);
}
