package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.VolunteerPaymentRecords;

/**
 * 志愿者打款单记录Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-15
 */
public interface VolunteerPaymentRecordsMapper extends BaseMapper<VolunteerPaymentRecords>
{
    /**
     * 查询志愿者打款单记录
     * 
     * @param volunteerPaymentRecordsId 志愿者打款单记录主键
     * @return 志愿者打款单记录
     */
    public VolunteerPaymentRecords selectVolunteerPaymentRecordsByVolunteerPaymentRecordsId(Long volunteerPaymentRecordsId);

    /**
     * 查询志愿者打款单记录列表
     * 
     * @param volunteerPaymentRecords 志愿者打款单记录
     * @return 志愿者打款单记录集合
     */
    public List<VolunteerPaymentRecords> selectVolunteerPaymentRecordsList(VolunteerPaymentRecords volunteerPaymentRecords);

    /**
     * 新增志愿者打款单记录
     * 
     * @param volunteerPaymentRecords 志愿者打款单记录
     * @return 结果
     */
    public int insertVolunteerPaymentRecords(VolunteerPaymentRecords volunteerPaymentRecords);

    /**
     * 修改志愿者打款单记录
     * 
     * @param volunteerPaymentRecords 志愿者打款单记录
     * @return 结果
     */
    public int updateVolunteerPaymentRecords(VolunteerPaymentRecords volunteerPaymentRecords);

    /**
     * 删除志愿者打款单记录
     * 
     * @param volunteerPaymentRecordsId 志愿者打款单记录主键
     * @return 结果
     */
    public int deleteVolunteerPaymentRecordsByVolunteerPaymentRecordsId(Long volunteerPaymentRecordsId);

    /**
     * 批量删除志愿者打款单记录
     * 
     * @param volunteerPaymentRecordsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVolunteerPaymentRecordsByVolunteerPaymentRecordsIds(Long[] volunteerPaymentRecordsIds);
}
