package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.BusinessPrice;
import com.leromro.core.domain.vo.BusinessPriceVO;

/**
 * 业务价格Service接口
 * 
 * @author ruoyi
 * @date 2025-04-17
 */
public interface IBusinessPriceService extends IService<BusinessPrice>
{
    /**
     * 查询业务价格
     * 
     * @param businessPriceId 业务价格主键
     * @return 业务价格
     */
    public BusinessPrice selectBusinessPriceByBusinessPriceId(Long businessPriceId);

    /**
     * 查询业务价格列表
     * 
     * @param businessPrice 业务价格
     * @return 业务价格集合
     */
    public List<BusinessPriceVO> selectBusinessPriceList(BusinessPrice businessPrice);

    /**
     * 新增业务价格
     * 
     * @param businessPrice 业务价格
     * @return 结果
     */
    public Boolean insertBusinessPrice(BusinessPrice businessPrice);

    /**
     * 修改业务价格
     * 
     * @param businessPrice 业务价格
     * @return 结果
     */
    public Boolean updateBusinessPrice(BusinessPrice businessPrice);

    /**
     * 批量删除业务价格
     * 
     * @param businessPriceIds 需要删除的业务价格主键集合
     * @return 结果
     */
    public int deleteBusinessPriceByBusinessPriceIds(Long[] businessPriceIds);

    /**
     * 删除业务价格信息
     * 
     * @param businessPriceId 业务价格主键
     * @return 结果
     */
    public int deleteBusinessPriceByBusinessPriceId(Long businessPriceId);
}
