package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.DeptRegionManagement;

/**
 * 公司管理地区Service接口
 * 
 * @author ruoyi
 * @date 2025-05-14
 */
public interface IDeptRegionManagementService extends IService<DeptRegionManagement>
{
    /**
     * 查询公司管理地区
     * 
     * @param regionManagementId 公司管理地区主键
     * @return 公司管理地区
     */
    public DeptRegionManagement selectDeptRegionManagementByRegionManagementId(Long regionManagementId);

    /**
     * 查询公司管理地区列表
     * 
     * @param deptRegionManagement 公司管理地区
     * @return 公司管理地区集合
     */
    public List<DeptRegionManagement> selectDeptRegionManagementList(DeptRegionManagement deptRegionManagement);

    /**
     * 新增公司管理地区
     * 
     * @param deptRegionManagement 公司管理地区
     * @return 结果
     */
    public Boolean insertDeptRegionManagement(DeptRegionManagement deptRegionManagement);

    /**
     * 修改公司管理地区
     * 
     * @param deptRegionManagement 公司管理地区
     * @return 结果
     */
    public Boolean updateDeptRegionManagement(DeptRegionManagement deptRegionManagement);

    /**
     * 批量删除公司管理地区
     * 
     * @param regionManagementIds 需要删除的公司管理地区主键集合
     * @return 结果
     */
    public int deleteDeptRegionManagementByRegionManagementIds(Long[] regionManagementIds);

    /**
     * 删除公司管理地区信息
     * 
     * @param regionManagementId 公司管理地区主键
     * @return 结果
     */
    public int deleteDeptRegionManagementByRegionManagementId(Long regionManagementId);
}
