package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.OrderFrozenFunds;

/**
 * 订单资金冻结Service接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface IOrderFrozenFundsService extends IService<OrderFrozenFunds>
{
    /**
     * 查询订单资金冻结
     * 
     * @param orderFrozenFundsId 订单资金冻结主键
     * @return 订单资金冻结
     */
    public OrderFrozenFunds selectOrderFrozenFundsByOrderFrozenFundsId(Long orderFrozenFundsId);

    /**
     * 查询订单资金冻结列表
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 订单资金冻结集合
     */
    public List<OrderFrozenFunds> selectOrderFrozenFundsList(OrderFrozenFunds orderFrozenFunds);

    /**
     * 新增订单资金冻结
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 结果
     */
    public Boolean insertOrderFrozenFunds(OrderFrozenFunds orderFrozenFunds);

    /**
     * 修改订单资金冻结
     * 
     * @param orderFrozenFunds 订单资金冻结
     * @return 结果
     */
    public Boolean updateOrderFrozenFunds(OrderFrozenFunds orderFrozenFunds);

    /**
     * 批量删除订单资金冻结
     * 
     * @param orderFrozenFundsIds 需要删除的订单资金冻结主键集合
     * @return 结果
     */
    public int deleteOrderFrozenFundsByOrderFrozenFundsIds(Long[] orderFrozenFundsIds);

    /**
     * 删除订单资金冻结信息
     * 
     * @param orderFrozenFundsId 订单资金冻结主键
     * @return 结果
     */
    public int deleteOrderFrozenFundsByOrderFrozenFundsId(Long orderFrozenFundsId);
}
