package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.OrgStatData;
import com.leromro.core.domain.dto.HomePageDTO;

/**
 * 平台机构数据统计Service接口
 * 
 * @author ruoyi
 * @date 2025-04-30
 */
public interface IOrgStatDataService extends IService<OrgStatData>
{
    /**
     * 查询平台机构数据统计
     * 
     * @param orgStatDataId 平台机构数据统计主键
     * @return 平台机构数据统计
     */
    public OrgStatData selectOrgStatDataByOrgStatDataId(Long orgStatDataId);

    /**
     * 查询平台机构数据统计列表
     * 
     * @param orgStatData 平台机构数据统计
     * @return 平台机构数据统计集合
     */
    public List<OrgStatData> selectOrgStatDataList(OrgStatData orgStatData);

    /**
     * 新增平台机构数据统计
     * 
     * @param orgStatData 平台机构数据统计
     * @return 结果
     */
    public Boolean insertOrgStatData(OrgStatData orgStatData);

    /**
     * 修改平台机构数据统计
     * 
     * @param orgStatData 平台机构数据统计
     * @return 结果
     */
    public Boolean updateOrgStatData(OrgStatData orgStatData);

    /**
     * 批量删除平台机构数据统计
     * 
     * @param orgStatDataIds 需要删除的平台机构数据统计主键集合
     * @return 结果
     */
    public int deleteOrgStatDataByOrgStatDataIds(Long[] orgStatDataIds);

    /**
     * 删除平台机构数据统计信息
     * 
     * @param orgStatDataId 平台机构数据统计主键
     * @return 结果
     */
    public int deleteOrgStatDataByOrgStatDataId(Long orgStatDataId);

    List<OrgStatData> getCurrentOrgMonthStatDataList(HomePageDTO dto);
}
