package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.VolunteerTakeRecord;

/**
 * 志愿者提现申请记录Service接口
 * 
 * @author ruoyi
 * @date 2025-05-15
 */
public interface IVolunteerTakeRecordService extends IService<VolunteerTakeRecord>
{
    /**
     * 查询志愿者提现申请记录
     * 
     * @param volunteerTakeRecordId 志愿者提现申请记录主键
     * @return 志愿者提现申请记录
     */
    public VolunteerTakeRecord selectVolunteerTakeRecordByVolunteerTakeRecordId(Long volunteerTakeRecordId);

    /**
     * 查询志愿者提现申请记录列表
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 志愿者提现申请记录集合
     */
    public List<VolunteerTakeRecord> selectVolunteerTakeRecordList(VolunteerTakeRecord volunteerTakeRecord);

    /**
     * 新增志愿者提现申请记录
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 结果
     */
    public Boolean insertVolunteerTakeRecord(VolunteerTakeRecord volunteerTakeRecord);

    /**
     * 修改志愿者提现申请记录
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 结果
     */
    public Boolean updateVolunteerTakeRecord(VolunteerTakeRecord volunteerTakeRecord);

    /**
     * 批量删除志愿者提现申请记录
     * 
     * @param volunteerTakeRecordIds 需要删除的志愿者提现申请记录主键集合
     * @return 结果
     */
    public int deleteVolunteerTakeRecordByVolunteerTakeRecordIds(Long[] volunteerTakeRecordIds);

    /**
     * 删除志愿者提现申请记录信息
     * 
     * @param volunteerTakeRecordId 志愿者提现申请记录主键
     * @return 结果
     */
    public int deleteVolunteerTakeRecordByVolunteerTakeRecordId(Long volunteerTakeRecordId);
}
