package com.leromro.core.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.leromro.core.mapper.VolunteerTakeRecordMapper;
import com.leromro.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.leromro.core.mapper.VolunteerTakeRecordMapper;
import com.leromro.core.domain.VolunteerTakeRecord;
import com.leromro.core.service.IVolunteerTakeRecordService;

/**
 * 志愿者提现申请记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-15
 */
@Service
public class VolunteerTakeRecordServiceImpl extends ServiceImpl<VolunteerTakeRecordMapper, VolunteerTakeRecord> implements IVolunteerTakeRecordService
{
    @Autowired
    private VolunteerTakeRecordMapper volunteerTakeRecordMapper;

    /**
     * 查询志愿者提现申请记录
     * 
     * @param volunteerTakeRecordId 志愿者提现申请记录主键
     * @return 志愿者提现申请记录
     */
    @Override
    public VolunteerTakeRecord selectVolunteerTakeRecordByVolunteerTakeRecordId(Long volunteerTakeRecordId)
    {
        return volunteerTakeRecordMapper.selectVolunteerTakeRecordByVolunteerTakeRecordId(volunteerTakeRecordId);
    }

    /**
     * 查询志愿者提现申请记录列表
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 志愿者提现申请记录
     */
    @Override
    public List<VolunteerTakeRecord> selectVolunteerTakeRecordList(VolunteerTakeRecord volunteerTakeRecord)
    {
        return volunteerTakeRecordMapper.selectVolunteerTakeRecordList(volunteerTakeRecord);
    }

    /**
     * 新增志愿者提现申请记录
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 结果
     */
    @Override
    public Boolean insertVolunteerTakeRecord(VolunteerTakeRecord volunteerTakeRecord)
    {
        return this.save(volunteerTakeRecord);
    }

    /**
     * 修改志愿者提现申请记录
     * 
     * @param volunteerTakeRecord 志愿者提现申请记录
     * @return 结果
     */
    @Override
    public Boolean updateVolunteerTakeRecord(VolunteerTakeRecord volunteerTakeRecord)
    {
        return this.updateById(volunteerTakeRecord);
    }

    /**
     * 批量删除志愿者提现申请记录
     * 
     * @param volunteerTakeRecordIds 需要删除的志愿者提现申请记录主键
     * @return 结果
     */
    @Override
    public int deleteVolunteerTakeRecordByVolunteerTakeRecordIds(Long[] volunteerTakeRecordIds)
    {
        return volunteerTakeRecordMapper.deleteVolunteerTakeRecordByVolunteerTakeRecordIds(volunteerTakeRecordIds);
    }

    /**
     * 删除志愿者提现申请记录信息
     * 
     * @param volunteerTakeRecordId 志愿者提现申请记录主键
     * @return 结果
     */
    @Override
    public int deleteVolunteerTakeRecordByVolunteerTakeRecordId(Long volunteerTakeRecordId)
    {
        return volunteerTakeRecordMapper.deleteVolunteerTakeRecordByVolunteerTakeRecordId(volunteerTakeRecordId);
    }
}
