package com.leromro.core.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;

import lombok.Data;

@Data
@ApiModel(description = "打款单提现查询参数")
/* loaded from: jc-api-1.0.0.jar:org/jjr/jc/api/vo/admin/driver/WithdrawPaymentVo.class */
public class WithdrawPaymentDTO {

    @ApiModelProperty(value = "分页页数", name = "pageNum", required = false, example = "1")
    private Integer pageNum;

    @ApiModelProperty(value = "分页长度", name = "pageSize", required = false, example = "10")
    private Integer pageSize;

    @ApiModelProperty(value = "打款单单号", name = "paymentOrderNum", example = "1")
    private String paymentOrderNum;

    @ApiModelProperty(value = "打款状态", name = "payStatus", example = "1", notes = "1为待打款，2为全部已打款，3为部分已打款，4为全部打款失败")
    private String payStatus;

    @ApiModelProperty(value = "验证状态", name = "checkStatus", example = "1", notes = "0为未验证，1为已验证")
    private String checkStatus;

    @ApiModelProperty(value = "生成开始时间", name = "createStartTime", example = "2024-04-01 00:00:00", notes = "yyyy-MM-dd HH:mm:ss")
    private String createStartTime;

    @ApiModelProperty(value = "生成结束时间", name = "createEndTime", example = "2024-04-02 00:00:00", notes = "yyyy-MM-dd HH:mm:ss")
    private String createEndTime;

    @ApiModelProperty(value = "生成开始时间", name = "payStartTime", example = "2024-04-01 00:00:00", notes = "yyyy-MM-dd HH:mm:ss")
    private String payStartTime;

    @ApiModelProperty(value = "生成结束时间", name = "payEndTime", example = "2024-04-02 00:00:00", notes = "yyyy-MM-dd HH:mm:ss")
    private String payEndTime;

    @ApiModelProperty(value = "打款状态", name = "isPay", example = "1")
    private String isPay;

    @ApiModelProperty(value = "打款单id", name = "volunteerPaymentRecordsId", example = "1")
    private Long volunteerPaymentRecordsId;

    @ApiModelProperty(value = "打款验证密码", name = "payPassword", example = "1")
    private String payPassword;

    @ApiModelProperty(value = "打款方式(1-银行卡;2-支付宝)", name = "payType", example = "1")
    private String payType;

    @ApiModelProperty(value = "打款单ids", name = "paymentIds", example = "1", hidden = true)
    private List<String> paymentIds;

}